PETSc version 3.15.5
Fix/Edit manual page

# SNESNASMGetType

Get the type of subdomain update used

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetType(SNES snes,PCASMType *type)

Logically Collective on SNES

### Input Parameters

| SNES | - the SNES context

### Output Parameters

| type | - the type of update

### See Also

SNESNASM, SNESNASMSetType(), PCASMGetType()

### Level

intermediate

### Location

src/snes/impls/nasm/nasm.c

### Implementations

SNESNASMGetType_NASM in src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages